Draft Arc/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(10 intermediate revisions by 2 users not shown)
Line 4: Line 4:
|[[Draft_Fillet|Fillet]]
|[[Draft_Fillet|Fillet]]
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Fillet.svg
|IconL=Draft_Fillet.svg
|IconR=Draft_Arc_3Points.svg
|IconR=Draft_Arc_3Points.svg
Line 14: Line 14:
|Name=Draft Arc
|Name=Draft Arc
|Name/ru=Draft Arc
|Name/ru=Draft Arc
|Workbenches=[[Draft Module/ru|Draft]], [[Arch Module/ru|Arch]]
|MenuLocation=Черчение → Дуга
|MenuLocation=Черчение → Дуга
|Workbenches=[[Draft_Workbench/ru|Draft]], [[Arch_Workbench/ru|Arch]]
|Shortcut=A R
|Shortcut=A R
|SeeAlso=[[Draft Circle/ru|Draft Circle]]
|SeeAlso=[[Draft Circle/ru|Draft Circle]]
Line 23: Line 23:
==Description==
==Description==


The [[Image:Draft_Arc.svg|24px]] '''Draft Arc''' command creates a circular arc in the current [[Draft_SelectPlane|working plane]] from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.
The [[Image:Draft_Arc.svg|24px]] '''Draft Arc''' command creates a circular arc on the current [[Draft_SelectPlane|working plane]] from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.


A Draft Arc is in fact a [[Draft_Circle|Draft Circle]] with a {{PropertyData|First Angle}} that is not the same as its {{PropertyData|Last Angle}}.
A Draft Arc is in fact a [[Draft_Circle|Draft Circle]] with a {{PropertyData|First Angle}} that is not the same as its {{PropertyData|Last Angle}}.
Line 35: Line 35:


# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_Arc.svg|16px]] [[Draft_Arc|Draft Arc]]}} button.
#* Press the {{Button|[[Image:Draft_Arc.svg|16px]] [[Draft_Arc|Arc]]}} button.
#* Select the {{MenuCommand|Drafting → Arc tools → [[Image:Draft_Arc.svg|16px]] Arc}} option from the menu.
#* Select the {{MenuCommand|Drafting → Arc tools → [[Image:Draft_Arc.svg|16px]] Arc}} option from the menu.
#* Use the keyboard shortcut: {{KEY|A}} then {{KEY|R}}. {{Version|0.20}}
# The {{MenuCommand|Arc}} task panel opens. See [[#Options|Options]] for more information.
# The {{MenuCommand|Arc}} task panel opens. See [[#Options|Options]] for more information.
# Pick the first point, the center of the arc, in the [[3D_view|3D view]], or type [[Draft_Coordinates|coordinates]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button.
# Pick the first point, the center of the arc, in the [[3D_view|3D view]], or type coordinates and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button.
# Pick the second point in the [[3D_view|3D view]], or enter a {{MenuCommand|Radius}}.
# Pick the second point in the [[3D_view|3D view]], or enter a {{MenuCommand|Radius}}.
# Pick the third point in the [[3D_view|3D view]], or enter a {{MenuCommand|Start angle}}.
# Pick the third point in the [[3D_view|3D view]], or enter a {{MenuCommand|Start angle}}.
Line 45: Line 46:
==Options==
==Options==


The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).


* To manually enter the coordinates for the center enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
* To manually enter the coordinates for the center enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
* The {{MenuCommand|Relative}} checkbox has no purpose for this command.
* Press {{KEY|G}} or click the {{MenuCommand|Global}} checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the [[Draft_SelectPlane|working plane]] coordinate system. {{Version|0.20}}
* Press {{KEY|G}} or click the {{MenuCommand|Global}} checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the [[Draft_SelectPlane|working plane]] coordinate system. {{Version|0.20}}
* Press {{KEY|T}} or click the {{MenuCommand|Continue}} checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
* Press {{KEY|N}} or click the {{MenuCommand|Continue}} checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
* Press {{KEY|S}} to switch [[Draft_Snap|Draft snapping]] on or off.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the command.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the command.


Line 56: Line 57:


* A Draft Arc can be edited with the [[Draft_Edit|Draft Edit]] command.
* A Draft Arc can be edited with the [[Draft_Edit|Draft Edit]] command.

* If the {{MenuCommand|Edit → Preferences... → Draft → General settings → Draft tools optionsUse Part Primitives when available}} option is checked, the command will create a [[Part_Circle|Part Circle]] instead of a Draft Circle. See [[Draft_Preferences#General_settings|Draft Preferences]].
==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* If the {{MenuCommand|Edit → Preferences... → Draft → General → Create Part primitives if possible}} option is checked, the command will create a [[Part_Circle|Part Circle]] instead of a Draft Circle.


==Properties==
==Properties==
Line 64: Line 70:
==Scripting==
==Scripting==


See also: [https://www.freecadweb.org/api Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


To create a Draft Arc use the {{incode|make_circle}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeCircle}} method.
To create a Draft Arc use the {{incode|make_circle}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeCircle}} method.
Line 87: Line 93:
|[[Draft_Fillet|Fillet]]
|[[Draft_Fillet|Fillet]]
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Fillet.svg
|IconL=Draft_Fillet.svg
|IconR=Draft_Arc_3Points.svg
|IconR=Draft_Arc_3Points.svg

Latest revision as of 10:04, 30 January 2024

Draft Arc

Системное название
Draft Arc
Расположение в меню
Черчение → Дуга
Верстаки
Draft, Arch
Быстрые клавиши
A R
Представлено в версии
-
См. также
Draft Circle

Description

The Draft Arc command creates a circular arc on the current working plane from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.

A Draft Arc is in fact a Draft Circle with a ДанныеFirst Angle that is not the same as its ДанныеLast Angle.

Arc defined by four points, center, radius, initial point of arc and final point of arc

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
    • Press the Arc button.
    • Select the Drafting → Arc tools → Arc option from the menu.
    • Use the keyboard shortcut: A then R. introduced in version 0.20
  2. The Arc task panel opens. See Options for more information.
  3. Pick the first point, the center of the arc, in the 3D view, or type coordinates and press the Enter point button.
  4. Pick the second point in the 3D view, or enter a Radius.
  5. Pick the third point in the 3D view, or enter a Start angle.
  6. Pick the fourth point in the 3D view, or enter an Aperture angle.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press N or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Arc can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See Draft Circle.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()